package com.sdut.labex.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sdut.labex.entity.SubmitRecord;
import com.sdut.labex.utils.ResVo;

/**
 * @author springforest
 * @description 针对表【submit_records(实验提交记录)】的数据库操作Service
 * @createDate 2023-06-21 11:01:21
 */
public interface SubmitRecordsService extends IService<SubmitRecord> {
    public ResVo addRecords(SubmitRecord submitRecord);

    public ResVo deleteRecord(Integer id);

    public ResVo updateRecords(SubmitRecord submitRecord);

    public ResVo selectRecords(int pageNum, int pageSize, SubmitRecord submitRecord);

    //正式
    public ResVo selectRecords(int pageNum, int pageSize, String className, String studentId, String applyUser);

}
